%bcond_with bootstrap

Summary:        Apache Maven Mapping
Name:           maven-mapping
Version:        3.0.0
Release:        4%{?dist}
License:        ASL 2.0
URL:            https://maven.apache.org/shared/maven-mapping/
Source0:        https://repo.maven.apache.org/maven2/org/apache/maven/shared/%{name}/%{version}/%{name}-%{version}-source-release.zip

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven.plugin-testing:maven-plugin-testing-harness)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildRequires:  mvn(org.codehaus.plexus:plexus-interpolation)
%endif

BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

%description
Maven shared component that implements file name mapping.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package provides %{summary}.



%prep
%setup -q
%pom_xpath_set "pom:project/pom:properties/pom:maven.compiler.target" "1.7" pom.xml
%pom_xpath_set "pom:project/pom:properties/pom:maven.compiler.source" "1.7" pom.xml



%build
%mvn_build



%install
%mvn_install



%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE



%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.0-4
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 21 2023 Zhao Zhen <jeremiazhao@tencent.com> - 3.0.0-1
- initial
